<?php /* /momo/lib/lib_settings.php, (c) 2008, Andreas Forstinger, www.mobilemoodle.org */
/*
 * this script prepares needed constants and default values
 * warning: this script is included in different places (lib.php, /admin/settings/momo.php)
 */
     global $CFG;

 // encryption related information

    $MLE_PASSKEY = array (6,2,9,2,3,0,8);
    $MLE_PASSKEYOPERATION = array (1,0,1,1,0,1,1);

 /// setup default configuration properties

    if (!isset ($CFG->momo_supported)) {
        set_config('momo_supported', '1');

	// general momo configuration settings
		if (!isset ($CFG->momo_root)) {
            set_config('momo_root', $CFG->wwwroot . '/momo/index.php');
        }
        if (!isset ($CFG->momo_enabled)) {
            set_config('momo_enabled', '0');
        }
        if (!isset ($CFG->momo_community_enabled)) {
            set_config('momo_community_enabled', '0');
        }
        if (!isset ($CFG->momo_community_course)) {
            set_config('momo_community_course', '-1');
        }
        if (!isset ($CFG->momo_debug_mode)) {
            set_config('momo_debug_mode', '0');
        }
		if (!isset ($CFG->momo_msg_destination)) {
            set_config('momo_msg_destination', 'momo');
        }
        
	// MOMO/MLE messaging related settings

		if (!isset ($CFG->momo_msg_hostid)) {
			// we have to generate the unique host id containing of hostname/IP followed by ':' and an random number

			$root = parse_url($CFG->wwwroot);
			if (!empty($url['host'])) {
				$hostname = $url['host'];
			}
			else if(!empty($_SERVER['SERVER_NAME'])){
				$hostname = $_SERVER['SERVER_NAME'];
			}
			else if (!empty($_ENV['SERVER_NAME'])) {
				$hostname = $_ENV['SERVER_NAME'];
			}
			else if (!empty($_SERVER['HTTP_HOST'])) {
				$hostname = $_SERVER['HTTP_HOST'];
			}
			else if (!empty($_ENV['HTTP_HOST'])) {
				$hostname = $_ENV['HTTP_HOST'];
			}
			else{ // problem
				$hostname = 'localhost';
			}
			$number = rand();
			// set the property
			set_config('momo_msg_hostid', $hostname.':'.$number);
        }
        if (!isset ($CFG->momo_msg_host)) {
            set_config('momo_msg_host', 'msm.mo2i.com');
        }
        if (!isset ($CFG->momo_msg_port)) {
            set_config('momo_msg_port', '6644');
        }
        if (!isset ($CFG->momo_msg_remote_port)) {
            set_config('momo_msg_remote_port', '6645');
        }
        if (!isset ($CFG->momo_public_msg_enabled)) {
            set_config('momo_public_msg_enabled', '1');
        }
        if (!isset ($CFG->momo_gw_host)) {
            set_config('momo_gw_host', 'gwm.mo2i.com');
        }
        if (!isset ($CFG->momo_gw_port)) {
            set_config('momo_gw_port', '6655');
        }
        if (!isset ($CFG->momo_public_gw_enabled)) {
            set_config('momo_public_gw_enabled', '1');
        }
    	if (!isset ($CFG->momo_public_msg_host)) {
            set_config('momo_public_msg_host', 'msm.mo2i.com');
        }
    	if (!isset ($CFG->momo_public_msg_port)) {
            set_config('momo_public_msg_port', '6644');
        }
        if (!isset ($CFG->momo_public_msg_remote_port)) {
            set_config('momo_public_msg_remote_port', '6645');
        }

	// general MLE related settings

        if (!isset ($CFG->momo_mle_platform)) {
            set_config('momo_mle_platform', 'momo');
        }
        if (!isset ($CFG->momo_mle_server_id)) {
            set_config('momo_mle_server_id', 'mclass');
        }
        if (!isset ($CFG->momo_mle_server_link)) {
            set_config('momo_mle_server_link', 'm|mclass');
        }
        if (!isset ($CFG->momo_mle_msgserver_servername)) {
            set_config('momo_mle_msgserver_servername', 'momo');
        }

		// MLE parameter definitions
        if (!isset ($CFG->momo_mle_param_user)) {
            set_config('momo_mle_param_user', 'MLIBERA_USERNAME');
        }
        if (!isset ($CFG->momo_mle_param_password)) {
            set_config('momo_mle_param_password', 'MLIBERA_PASSWORD');
        }
        if (!isset ($CFG->momo_mle_param_auth_key)) {
            set_config('momo_mle_param_auth_key', 'MLIBERA_AUTH_KEY');
        }
        if (!isset ($CFG->momo_mle_param_platform)) {
            set_config('momo_mle_param_platform', 'MLIBERA_PLATFORM');
        }
         if (!isset ($CFG->momo_mle_param_location)) {
            set_config('momo_mle_param_location', 'MLIBERA_LOCATION');
        }
        if (!isset ($CFG->momo_mle_param_lang)) {
            set_config('momo_mle_param_lang', 'MLIBERA_LANG');
        }
        if (!isset ($CFG->momo_mle_param_version)) {
            set_config('momo_mle_param_version', 'MLIBERA_VERSION');
        }
        if (!isset ($CFG->momo_mle_param_width)) {
            set_config('momo_mle_param_width', 'MLIBERA_WIDTH');
        }
        if (!isset ($CFG->momo_mle_param_height)) {
            set_config('momo_mle_param_height', 'MLIBERA_HEIGHT');
        }
        if (!isset ($CFG->momo_mle_param_referer)) {
            set_config('momo_mle_param_referer', 'MLIBERA_REFERER');
        }
		if (!isset ($CFG->momo_mle_param_binary)) {
            set_config('momo_mle_param_binary', 'bin');
        }
		if (!isset ($CFG->momo_mle_param_xml)) {
            set_config('momo_mle_param_xml', 'xml');
        }
		if (!isset ($CFG->momo_mle_param_content)) {
            set_config('momo_mle_param_content', 'content');
        }

		// client distribution
        if (!isset ($CFG->momo_mle_device_distribution_server_host)) {
            set_config('momo_mle_device_distribution_server_host', 'dd.mo2i.com');
        }
        if (!isset ($CFG->momo_mle_device_distribution_server_port)) {
            set_config('momo_mle_device_distribution_server_port', '8888');
        }
        if (!isset ($CFG->momo_mle_device_distribution_server_uri)) {
            set_config('momo_mle_device_distribution_server_uri', '/getticket/?');
        }
        if (!isset ($CFG->momo_mle_device_distribution_http_ticket_download_url)) {
            set_config('momo_mle_device_distribution_http_ticket_download_url', 'http://dd.mo2i.com:8888/');
        }

		// other settings, mostly beta
        if (!isset ($CFG->momo_compatible_tags)) {
            set_config('momo_compatible_tags', '<br/><font><hr/><image><audio><video><img/>');
        }
        if (!isset ($CFG->momo_wrap_limit)) {
            set_config('momo_wrap_limit', '10');
        }

	}

?>