<?php
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
global $CFG;
require_once ($CFG->dirroot . '/message/lib.php'); // messaging support

$query = optional_param('query',null,PARAM_ALPHANUM);
$newsearch = false;
if($query == null){ // show search form
    $newsearch = true;
}
 else {
    $query = clean_text(trim($query));
    $results = message_search_users('',$query);
 }
?>
<ps t="<?php momo_print_string('hd_search_user') ?>" s="false" bo="false" back="<?php echo(momo_get_back_url())?>">
<pa>
<?php momo_print_header(momo_get_string('hd_search_user'), 'search') ?>
<?php if($newsearch){ // show search form
        momo_print_string('lbl_user') ?>
<br/>
<textbox id="query" size="20"/>
<button type="u" action="msg/contact_search.php" data="00" dt="l" di="<?php momo_print_icon_path('search')?>"> <?php momo_print_string('nav_search') ?><br/>
<image type="l" url="<?php momo_print_icon_path('info')?>"/> <?php momo_print_string('msg_search_user_hint') ?><br/>
<?php }
    else {
        if(empty($results)){ // if no result print notice
            momo_print_notice(momo_get_string('msg_search_no_results'));
        }
        else{     // show results
    // counter for paging
    $wrap = $CFG->momo_wrap_limit;
    $count = 1;
    foreach($results as $result){
        if($count > $wrap){ // wrap content
            $count = 1;
            momo_print_paging();
        }?>
<link type="m" url="msg/contact.php&amp;id=<?php echo($result->id)?>" dt="l" di="<?php momo_print_icon_path('contact')?>"> <?php p(momo_truncate($result->firstname . ' ' . $result->lastname)) ?><br/>
<?php $count++;}
    }
        } ?>
</pa>
</ps>