<?php
/* (c) 2007, Andreas Forstinger, www.mobilemoodle.org */
global $CFG, $USER;
require_once ($CFG->dirroot . '/lib/uploadlib.php'); // file upload support
require_once ($CFG->dirroot . '/lib/gdlib.php'); // image manipulation support

// check if profile should be updated
$update = optional_param('update',null,PARAM_RAW);
$success = false;
if($update!=null){
   //create upload manager
   $um = new upload_manager('photo',false,false,null,false,0,true,true);
   // save image
   $success = save_profile_image($USER->id,$um,'users');
   // set flag in user object
   $user = get_record('user','id',$USER->id);
   $user->picture = 1;
   update_record('user',$user);

   add_to_log(SITEID, 'momo', 'profile photo update', '', $success, 0, $USER->id);

   // print success screen
   if($success){
       momo_print_success(momo_get_string('msg_profile_pic_updated'), 'profile.php', $CFG->momo_mle_server_link);
   }
}

/// view profile
?>
<ps t="<?php momo_print_string('hd_profile')?>" s="false" bo="true" back="<?php echo(momo_get_back_url())?>">

<pa id="i">
<?php momo_print_header(momo_get_string('hd_profile'), 'contact') ?>
<font class="h2"/><?php echo($USER->firstname . ' ' . $USER->lastname)?><font class="std"/><br/>
<?php
 if(!empty($USER->picture)){ // if user has profile picture request it
    echo(momo_print_user_picture($USER->id,true));
 }
    else {
        momo_print_notice(momo_get_string('lbl_profile_no_picture'));
    } ?>
<br/>
<menu type="i" url="f" dt="l" display="<?php momo_print_icon_path('camera') ?>" word="<?php momo_print_string('lbl_profile_record_picture')?>"/>
</pa>

<pa id="f">
<?php momo_print_header(momo_get_string('lbl_profile_record_picture'), 'contact') ?>
<upload type="form"/>
<recordimage id="photo" /> <?php momo_print_string('lbl_mm_snapshot')?><br/>
<upload type="hidden" name="update" value="true"/>
<upload type="submit" url="com/profile.php" location="<?php echo($CFG->momo_mle_server_link)?>" dt="l" di="<?php momo_print_icon_path('save') ?>" menuTag="<?php momo_print_string('nav_submit')?>" full="false"/><br align="left"/>
<image type="l" url="<?php momo_print_icon_path('info') ?>" > <?php momo_print_string('lbl_profile_record_hint')?>
<back type="i" url="i" />
</pa>
</ps>